%global momorel 10
# The default font size for subtitles : 14, 18, 24 or 28
# the default font encoding, you may easily change to iso-8859-2 if needed
%global	fontdir		font-arial-iso-8859-1/font-arial-18-iso-8859-1

Summary: MPlayer, the Movie Player for Linux.
Name: mplayer
Version: 1.0
%global prever 6
Release: 0.%{prever}.%{momorel}m
License: GPL
Group: Applications/Multimedia
%NoSource 0 http://www2.mplayerhq.hu/MPlayer/releases/MPlayer-%{version}pre%{prever}.tar.bz2 4a628f87a7070e10ffea04a1598979a9
%NoSource 2 http://www1.mplayerhq.hu/MPlayer/releases/fonts/font-arial-iso-8859-1.tar.bz2 1ecd31d17b51f16332b1fcc7da36b312
%NoSource 3 http://www1.mplayerhq.hu/MPlayer/releases/fonts/font-arial-iso-8859-2.tar.bz2 7b47904a925cf58ea546ca15f3df160c
# %%NoSource 4 http://www.mplayerhq.hu/MPlayer/Skin/Blue-1.4.tar.bz2 3006f514cf0c9a8f832cfb1abee276bf
Source4: http://www.mplayerhq.hu/MPlayer/Skin/Blue-1.4.tar.bz2
Patch0: mplayer-1.0pre4-nofastmemcpy_in_libpostproc.patch
Patch1: mplayer-1.0pre4-runtimemsg.patch
Patch2: mplayer-1.0pre4-playlist.patch
Patch3: http://dijkstra.csh.rit.edu:8088/~mdz/mythtv/mplayer-0.90rc5-mythtv-20030407.diff
Patch4: mplayer-1.0pre4-libfame.patch
Patch5: mplayer-1.0pre6-optflags.patch

Patch10: mmst_fix_20050415.diff
Patch11: rtsp_fix_20050415.diff

URL: http://www.mplayerhq.hu/homepage/
# http://www.mplayerhq.hu/homepage/design6/news.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: cdparanoia, gpm
Requires: lzo
Requires: live
Requires: xmms
Requires: desktop-file-utils
Requires: lirc
BuildPreReq: libdv-devel, SDL-devel >= 1.2.7-11m
BuildPreReq: libvorbis-devel, libdvdread-devel
BuildPreReq: cdparanoia-devel, gpm-devel, libmad
BuildPreReq: lzo-devel
BuildPreReq: glib1-devel
BuildPreReq: gtk+1-devel
BuildPreReq: faad2-devel >= 2.0-3m
BuildPreReq: libfame-devel
BuildPreReq: live-devel >= 0.20041223
BuildPreReq: xmms-devel
BuildPreReq: libogg-devel
BuildPreReq: libpng-devel
BuildPreReq: libjpeg-devel
BuildPreReq: desktop-file-utils
BuildPreReq: samba-common
BuildPreReq: lirc-devel
BuildPreReq: arts-devel >= 1.3.0-2m
BuildPreReq: esound-devel
BuildPreReq: gcc-c++ >= 3.4.1-1m
BuildPreReq: lame-devel, xvid
BuildPreReq: libtermcap-devel >= 2.0.8-38m

### include local configuration
%{?include_specopt}
%{?!with_nonfree_stuff:   	%global with_nonfree_stuff	0}

%if %{with_nonfree_stuff}
Requires: libdvdcss
Requires: w32codec >= 0.90
Requires: realplayer8
Requires: divx4linux
BuildPreReq: libdvdcss-devel
BuildPreReq: w32codec >= 0.90
BuildPreReq: realplayer8
BuildPreReq: divx4linux
%endif

%description
MPlayer is a movie player. It plays most MPEG, VOB, AVI, VIVO, ASF/WMV,
QT/MOV, FLI, NuppelVideo, yuv4mpeg, FILM, RoQ, OGG and some RealMedia
files, supported by many native, XAnim, and Win32 DLL codecs. You can
watch VideoCD, SVCD, DVD, 3ivx, FLI, and even DivX movies too (and you
don't need the avifile library at all!). The another big feature of
mplayer is the wide range of supported output drivers. It works with
X11, Xv, DGA, OpenGL, SVGAlib, fbdev, AAlib, but you can use SDL (and
this way all drivers of SDL), VESA (on every VESA compatible card, even
without X!), and some lowlevel card-specific drivers (for Matrox, 3Dfx
and Radeon) too! Most of them supports software or hardware scaling, so
you can enjoy movies in fullscreen. MPlayer supports displaying through
some hardware MPEG decoder boards, such as the DVB and DXR3/Hollywood+ !
And what about the nice big antialiased shaded subtitles (9 supported
types!!!)

%prep
%setup -q -n MPlayer-%{version}pre%{prever}
%patch0 -p1 -b .nofastmemcpy
%patch1 -p1 -b .runtimemsg
%patch2 -p1 -b .playlist
%patch3 -p1 -b .mythtv
%patch4 -p1 -b .libfame
%patch5 -p1 -b .optflags

%patch10 -p1 -b .mmst
%patch11 -p1 -b .rtsp

%build
find . -name "CVS" | xargs rm -rf
%ifarch ppc
CFLAGS="-maltivec -mabi=altivec" ; export CFLAGS
%else
CFLAGS="" ; export CFLAGS
%endif
./configure \
%ifnarch x86_64
	--target=%{_target_platform} \
%endif
	--prefix=%{_prefix} \
	--datadir=%{_datadir}/mplayer \
	--confdir=%{_sysconfdir}/mplayer \
	--enable-largefiles \
	--enable-gui \
	--enable-tv-v4l \
	--enable-tv-v4l2 \
	--enable-xvid \
	--enable-joystick \
	--enable-i18n \
	--disable-directfb \
	--enable-joystick \
	--disable-mpdvdkit \
	--enable-lirc \
	--enable-live --with-livelibdir=%{_libdir}/live \
	--enable-libfame \
	--disable-internal-faad \
        --enable-shared-pp \
	--enable-smb \
	--enable-menu \
%ifarch %{ix86}
	--enable-runtime-cpudetection \
	--enable-win32 \
	--with-win32libdir=%{_libdir}/win32 \
	--enable-qtx \
%endif
	--with-reallibdir=/usr/lib/RealPlayer8/Codecs \
%if ! %{with_nonfree_stuff}
	--disable-divx4linux \
%endif
%ifarch ppc
	--enable-altivec \
%endif
	--enable-xmms
perl -pi -e 's|/usr/X11R6/lib/libxmms|/usr/X11R6/%{_lib}/libxmms|s' config.mak
perl -pi -e 's|\$\(prefix\)/lib|\$(prefix)/%{_lib}|g' libavcodec/libpostproc/Makefile

%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/mplayer
for i in . libavcodec/libpostproc; do
make install -C $i \
	prefix=%{buildroot}%{_prefix} \
	DATADIR=%{buildroot}%{_datadir}/mplayer \
	CONFDIR=%{buildroot}%{_sysconfdir}/mplayer \
	LIBDIR=%{buildroot}%{_libdir} \
	MANDIR=%{buildroot}%{_mandir} \
	BINDIR=%{buildroot}%{_bindir}
done

# The default Skin is Blue
mkdir -p %{buildroot}%{_datadir}/mplayer/Skin
pushd %{buildroot}%{_datadir}/mplayer/Skin
        tar -x -j -f %{SOURCE4}
	# default is Blue
	ln -s Blue default
popd

# The font for the subtitles
pushd %{buildroot}%{_datadir}/mplayer
	rmdir font || :
	tar -x -j -f %{SOURCE2}
	tar -x -j -f %{SOURCE3}
	ln -s -f %{fontdir} font
popd

# The icon used in the menu entry
install -D -m 644 Gui/mplayer/pixmaps/logo.xpm \
	%{buildroot}%{_datadir}/pixmaps/mplayer-logo.xpm

%pre
# We have a link... some have an empty dir, this fixes it!
[ -d %{_datadir}/mplayer/font ] && \
	rmdir %{_datadir}/mplayer/font 2>/dev/null || :

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 755)
%doc AUTHORS ChangeLog LICENSE README DOCS
%dir %{_sysconfdir}/mplayer
%{_bindir}/*
%{_libdir}/*
%{_datadir}/applications/mplayer.desktop
%{_datadir}/mplayer
%{_datadir}/pixmaps/mplayer-logo.xpm
%{_datadir}/pixmaps/mplayer-desktop.xpm
%{_mandir}/man1/*
%{_includedir}/*

%changelog
* Mon May  2 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.0-0.6.10m)
- [SECURITY] MMST heap overflow, Real RTSP heap overflow

* Wed Mar  9 2005 Toru Hoshina <t@momonga-linux.org>
- (1.0.0-0.6.9m)
- rebuild against libtermcap-2.0.8-38m.

* Sat Feb 26 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.0-0.6.8m)
- rebuild against SDL

* Thu Feb 24 2005 mutecat <mutecat@momonga-linux.org>
- (1.0.0-0.6.7m)
- arrange ppc add "-maltivec -mabi=altivec"

* Thu Feb 17 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0-0.6.6m)
- remove old desktop file

* Thu Feb 17 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.0.0-0.6.5m)
- enable x86_64 and ppc.

* Sat Feb 12 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.0-0.6.4m)
- disable DirectFB

* Wed Feb  9 2005 Toru Hoshina <t@momonga-linux.org>
- (1.0.0-0.6.2m)
- rebuild with lame, xvid.

* Thu Jan 20 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.0-0.6.1m)
- rebuild against libfame-0.9.1

* Fri Dec 24 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.0-0.6.1m)
- version 1.0pre6

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.0.0-0.5.4m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Sun Aug 29 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.0-0.5.3m)
- rebuild against DirectFB-0.9.21

* Sun Aug 22 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.0-0.5.2m)
- only include Blue skin
- add '--enable-tv-v4l2'
- always add '--with-win32libdir' and '--with-reallibdir'

* Tue Aug 03 2004 TAKAHASHI Tamotsu <tamo>
- (1.0.0-0.5.1m)
- [SECURITY] http://www.open-security.org/advisories/5

* Fri Jun 18 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.0.0-0.4.7m)
- rebuild against libdv-0.102

* Thu Jun 17 2004 Toru Hoshina <t@momonga-linux.org>
- (1.0.0-0.4.6m)
- DivX handling is missed.

* Wed Jun 16 2004 Toru Hoshina <t@momonga-linux.org>
- (1.0.0-0.4.5m)
- revised specopt to build Nonfree version of mplayer.

* Thu Jun  2 2004 Masahoro Takahata <takahata@momonga-linux.org>
- (1.0.0-0.4.4m)
- change source

* Tue May  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.0-0.4.3m)
- specfile clean up

* Sun May  2 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.0.0-0.4.2m)
- rebuild against xvid-1.0.0rc4 (apiversion 4)

* Wed Apr 28 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0-0.4.1m)
- 1.0pre4 including security fixes

* Wed Mar 31 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0-0.3.4m)
- apply http://www.mplayerhq.hu/MPlayer/patches/vuln02-fix.diff

* Fri Mar 19 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0-0.3.3m)
- remove 'BuildPreReq: lame-devel, xvid'

* Thu Jan  8 2004 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.0-0.3.2m)
- Add patch0 (mplayer-1.0pre3-nofastmemcpy_in_libpostproc.patch)
- - don't use fast_memcpy in libpostproc.c since it causes "undefined 
  reference to `fast_memcpy'" error when linking against libpostproc.so.

* Fri Dec 12 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.0-0.3.1m)
- update to 1.0pre3

* Tue Dec  9 2003 zunda <zunda at freeshell.org>
- (1.0-0.2.3m)
- rebuild against DirectFB

* Tue Nov 11 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.0-0.2.3m)
- use libmad

* Tue Nov 4 2003 Yuya Yamaguchi <bebe@hepo.jp>
- (1.0-0.2.2m)
- rebuild against samba-3.0.0 (libsmbclient)

* Wed Oct 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0-0.2.1m)
- update to 1.0pre2
- delete Patch0:, this patch was included to 1.0pre2 tarball

* Mon Sep 29 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0-0.1.2m)
- add security fix patch (Patch0)
- add BuildPreReq: gtk+1-devel for gtk-config
- add BuildPreReq: glib1-devel for glib-config

* Thu Sep  4 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.0-0.1.1m)

* Thu Aug 14 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.91-1m)
- update to 0.91
- no need version fix patch
- move codecs.conf to doc dir

* Wed Jul 9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.90-6m)
- delete Requires: arts-devel

* Tue Jul  8 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.90-5m)
- '--disable-divx4linux'

* Tue Jul 8 2003 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.90-4m)
- fix sample %define macro in # line
- the defalut skin becomes Blue
- add --enable-sharedpp option to ./configure

* Fri May 30 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.90-3m)
- add Requires: arts-devel for require /usr/lib/libartscbackend.la
- add define momorel
- update IPv6 patch to mplayer-0.9.0-v6-20030430.diff.gz
- use gcc 3.2.2 instead of 2.95.3

* Thu May 15 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.90-2m)
- rebuild against slang(utf8 version)

* Thu Apr 10 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.90-1m)
- version up to 0.90
- update IPv6 patch (Patch0)
- add BuildPreReq: unzip
- add patch10: change version to 0.90

* Thu Mar 20 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.90-0.15.1m)
- 0.90rc5
- minor bugfixes

* Tue Feb 11 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.90-0.14.1m)
- 0.90rc4
- major bugfixes

* Sun Feb  2 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.90-0.13.2m)
- update mplayer patch
  thanks to Shingo TAKEDA ([Momonga-devel.ja:01321])

* Tue Jan 21 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.90-0.13.1m)
- 0.90rc3
- enable directfb again

* Fri Jan 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.90-0.12.3m)
- add %%{?include_specopt} to include local configuration

* Thu Jan 16 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.90-0.12.2m)
- temporary? disable directfb

* Wed Dec 25 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.90-0.12.1m)
- 0.90rc2

* Sat Dec 14 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.90-0.11.1m)
- 0.90rc1

* Sat Dec 14 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.90-0.10.2m)
- ipv6 support

* Wed Nov 13 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.90-0.10.1m)
- 0.9.0-pre10

* Mon Oct 28 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.90-0.9.1m)
- 0.9.0-pre9

* Wed Sep 25 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.90-0.8.1m)
- 0.9.0-pre8

* Sat Sep 14 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.90-0.7.2m)
- lame support

* Sat Sep  7 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.90-0.7.1m)
- initial import to Momonga
- use gcc_2_95_3
- use xvid instead of divx4linux because Momonga loves opensource solution

* Thu Aug 29 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added ALSA support.

* Tue Aug  6 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre6.
- Added aalib and lirc build dependencies to get a full-featured binary.
- Updated %%description.
- Added iso-8859-2 font in the package.
- Cleaned up old unuseful hacks.

* Mon Jun 10 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre5.

* Tue May 14 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre4.
- Overwrite the absolute link for the mencoder.1 man page.

* Sat May 11 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added the mime types for the menu entry.

* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added CFLAGS for configure and i18n.
- Rebuilt against Red Hat Linux 7.3.
- Added the %%{?_smp_mflags} expansion.

* Tue Apr 30 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre2.
- Fixed the libGLcore.so.1 and lirc dependencies.
- Build with gcc 2.96 instead of gcc3.

* Fri Apr 26 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre1, fully GPL at last! Here come the binary packages :-)

* Fri Feb  1 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to today's current version.
- Added 3 skins + removed workaround since skin archives are fixed.

* Wed Jan  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- %doc cleanup and update to today's build.
- Modified for the new CONFDIR stuff.

* Wed Dec 12 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.
